Article ID: 126733, created on Aug 30, 2015, last review on Jul 29, 2016

  • Applies to:
  • Plesk 12.5 for Linux
  • Plesk 12.0 for Windows


Following error is shown when trying to update Wordpress version or plugins from Plesk > Websites & Domains > > WordPress page:

Update Plugin
Downloading update from…
Unpacking the update…
Could not create directory.

or the following one:

Updating Plugin
Downloading update from…
Unpacking the update…
Installing the latest version…
Removing the old version of the plugin…
Plugin upgrade failed.
An error occurred while updating Contact-Form: Could not remove the old plugin.. 


Incorrect permissions set in domains folder.


For Windows:

Restore permissions with the following commands:

"%plesk_bin%\reconfigurator.exe" /  
"%plesk_cli%\repair.exe" --repair-webspace-security -webspace-name

For Linux:

The WordPress toolkit is designed to work using SuExec. When apache module or FPM is used, the directories may be set to www-data user permissions. It is required to set correct permissions for wp-* system folders like sys_user.psacln to use WordPress Toolkit.

Search Words

An error occured while updating

Downloading update from

wp plugin

wordpress plugin update

Could not create directory

Verzeichnis konnte nicht angelegt werden

Could not remove the old plugin

Update Plugin

85a92ca67f2200d36506862eaa6ed6b8 56797cefb1efc9130f7c48a7d1db0f0c a914db3fdc7a53ddcfd1b2db8f5a1b9c 29d1e90fd304f01e6420fbe60f66f838 ed7be2b984f9c27de1d2dc349dc19c6d a766cea0c28e23e978fa78ef81918ab8 742559b1631652fadd74764ae8be475e e335d9adf7edffca6a8af8039031a4c7

Email subscription for changes to this article
Save as PDF